FilterIndexReader.FilterTermEnum (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.FilterIndexReader.FilterTermEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterIndexReader.FilterTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.index.FilterIndexReader.FilterTermEnum

Enclosing class:
  FilterIndexReader

    public static class FilterIndexReader.FilterTermEnum

extends TermEnum

Base class for filtering `TermEnum` implementations.

Field Summary
`protected TermEnum` | `in`

Constructor Summary
`FilterIndexReader.FilterTermEnum(TermEnum in)`

Method Summary
`void` | `close()` Closes the enumeration to further activity, freeing resources.
`int` | `docFreq()` Returns the docFreq of the current Term in the enumeration.
`boolean` | `next()` Increments the enumeration to the next element.
`Term` | `term()` Returns the current Term in the enumeration.

Methods inherited from class org.apache.lucene.index.TermEnum
`skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected TermEnum in

Constructor Detail

### FilterIndexReader.FilterTermEnum

    public FilterIndexReader.FilterTermEnum(TermEnum in)

Method Detail

### next

    public boolean next()
                 throws IOException

  Description copied from class: `TermEnum`
  Increments the enumeration to the next element. True if one exists.

  Specified by:
    `next` in class `TermEnum`
  Throws:
    `IOException`

### term

    public Term term()

  Description copied from class: `TermEnum`
  Returns the current Term in the enumeration.

  Specified by:
    `term` in class `TermEnum`

### docFreq

    public int docFreq()

  Description copied from class: `TermEnum`
  Returns the docFreq of the current Term in the enumeration.

  Specified by:
    `docFreq` in class `TermEnum`

### close

    public void close()
               throws IOException

  Description copied from class: `TermEnum`
  Closes the enumeration to further activity, freeing resources.

  Specified by:
    `close` in class `TermEnum`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.